Releases an exported WSAPROTOCOL_INFO Structure

- « socket_wsaprotocol_info_import

- Socket »

- PHP Manual
- Socket Functions
- Releases an exported WSAPROTOCOL_INFO Structure

# socket_wsaprotocol_info_release

(PHP 7 >= 7.3.0, PHP 8)

socket_wsaprotocol_info_release — Releases an exported WSAPROTOCOL_INFO Structure

### Description

socket_wsaprotocol_info_release(string `$info_id`): bool

Releases the shared memory corresponding to the given `info_id`.

> Note: This function is available only on Windows.

### Parameters

`info_id`

  The ID which has been returned by a former call to socket_wsaprotocol_info_export().

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- socket_wsaprotocol_info_export() - Exports the WSAPROTOCOL_INFO Structure